package com.college

import com.college.controller.auth.AuthRouter
import com.college.data.DbSettings
import com.college.di.myModule
import io.ktor.http.*
import io.ktor.serialization.kotlinx.json.*
import io.ktor.server.application.*
import io.ktor.server.plugins.contentnegotiation.*
import io.ktor.server.plugins.cors.routing.*
import io.ktor.server.routing.*
import org.koin.ktor.plugin.Koin

fun main(args: Array<String>) {
    io.ktor.server.netty.EngineMain.main(args)
}

fun Application.module() {
    val db = DbSettings.db
    install(Koin){
        modules(myModule)
    }
    install(CORS){
        allowHeader(HttpHeaders.ContentType)
    }
    install(ContentNegotiation){
        json()
    }
    AuthRouter()
}
