package com.college.data

import com.college.data.table.RoleIdTable
import com.college.data.table.UserUuidTable
import org.jetbrains.exposed.sql.Database
import org.jetbrains.exposed.sql.SchemaUtils
import org.jetbrains.exposed.sql.transactions.experimental.newSuspendedTransaction
import org.jetbrains.exposed.sql.transactions.transaction
import org.jetbrains.exposed.sql.transactions.transactionManager

object DbSettings {

    val db by lazy {
        Database.connect(
            url = "jdbc:postgresql://localhost:5432/presence",
            user = "postgres",
            password = "123"
        )
        transaction {
            SchemaUtils.create(RoleIdTable)
            SchemaUtils.create(UserUuidTable)
        }
    }

    suspend fun <T> query(block: () -> T): T =
        newSuspendedTransaction { block() }

}