package com.college.domain.usecase

import com.college.data.repositorty.user.UserRepository
import com.college.domain.model.User
import com.college.domain.request.user.UserCreateRequest
import com.college.domain.request.user.UserFindRequest
import io.ktor.server.plugins.*

class UserUseCase(private val userRepository: UserRepository) {
    suspend fun register(userCreateRequest: UserCreateRequest){
        userRepository.addUser(userCreateRequest)
    }
    suspend fun getUserByLogin(userFindRequest: UserFindRequest):User{
        return userRepository.getUserByLogin(userFindRequest.login) ?: throw NotFoundException()
    }
}